# Method: projects.getConfig

- [HTTP request](https://docs.cloud.google.com/source-repositories/docs/reference/rest/v1/projects/getConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/source-repositories/docs/reference/rest/v1/projects/getConfig#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/source-repositories/docs/reference/rest/v1/projects/getConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/source-repositories/docs/reference/rest/v1/projects/getConfig#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/source-repositories/docs/reference/rest/v1/projects/getConfig#body.aspect)
- [Try it!](https://docs.cloud.google.com/source-repositories/docs/reference/rest/v1/projects/getConfig#try-it)

Returns the Cloud Source Repositories configuration of the project.

### HTTP request

`GET https://sourcerepo.googleapis.com/v1/{name=projects/*}/config`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the requested project. Values are of the form `projects/<project>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `source.repos.getProjectConfig` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/source-repositories/docs/reference/rest/v1/ProjectConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).